package com.pwt.web.service;

import java.util.List;
import com.pwt.web.domain.PwtBattery;

/**
 * 电池管理Service接口
 * 
 * @author linyun
 * @date 2022-11-17
 */
public interface IPwtBatteryService 
{
    /**
     * 查询电池管理
     * 
     * @param batteryId 电池管理ID
     * @return 电池管理
     */
    public PwtBattery selectPwtBatteryById(Long batteryId);

    /**
     * 查询电池管理列表
     * 
     * @param pwtBattery 电池管理
     * @return 电池管理集合
     */
    public List<PwtBattery> selectPwtBatteryList(PwtBattery pwtBattery);

    /**
     * 新增电池管理
     * 
     * @param pwtBattery 电池管理
     * @return 结果
     */
    public int insertPwtBattery(PwtBattery pwtBattery);

    /**
     * 修改电池管理
     * 
     * @param pwtBattery 电池管理
     * @return 结果
     */
    public int updatePwtBattery(PwtBattery pwtBattery);

    /**
     * 批量删除电池管理
     * 
     * @param batteryIds 需要删除的电池管理ID
     * @return 结果
     */
    public int deletePwtBatteryByIds(Long[] batteryIds);

    /**
     * 删除电池管理信息
     * 
     * @param batteryId 电池管理ID
     * @return 结果
     */
    public int deletePwtBatteryById(Long batteryId);

    /**
     * @Description: 导入电池数据
     * @Author: linyun
     * @Date: 2022/11/19 14:21
     * @Param:[list 导入的电池数据对象]
     * @Return:java.lang.String
     **/
    public String importData(List<PwtBattery> list);
}
